## edu.stanford.nlp.trees
Class TreeCoreAnnotations

    java.lang.Object
      edu.stanford.nlp.trees.TreeCoreAnnotations

    public class TreeCoreAnnotations

extends Object

Set of common annotations for `CoreMap`'s that require classes from the trees package. See `CoreAnnotations` for more information. This class exists so that `CoreAnnotations` need not depend on trees classes, making distributions easier.

Author:
  Anna Rafferty

Nested Class Summary
`static class` `TreeCoreAnnotations.HeadTagAnnotation` The standard key for storing a head tag in the map as a pointer to another node.
`static class` `TreeCoreAnnotations.HeadWordAnnotation` The standard key for storing a head word in the map as a pointer to another node.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Stanford NLP Group